# $Revision: 1.19 $, $Date: 2001/06/25 06:43:33 $
Summary:	Converts Text or HTML to PalmPilots's PDB/DOC file format
Summary(pl):	Konwerter tekstu i HTML na format PalmPilotw - PDB/DOC
Name:		txt2pdbdoc
Version:	1.2.1
Release:	5
License:	GPL
Group:		Applications/Text
Group(de):	Applikationen/Text
Group(fr):	Utilitaires/Texte
Group(pl):	Aplikacje/Tekst
Source0:	ftp://shell3.ba.best.com/pub/pjl/software/%{name}-%{version}.tar.gz
URL:		http://www.best.com/~pjl/software.html
Patch0:		%{name}.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Converts text or HTML files to PalmPilot's E-Book/DOC file, or
vice-versa.

%prep
%setup -q
%patch -p1

%build
%{__make} CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man{1,4}}

install html2pdbtxt pdbtxt2html $RPM_BUILD_ROOT%{_bindir}
install txt2pdbdoc $RPM_BUILD_ROOT%{_bindir}

install man/man1/*.1 $RPM_BUILD_ROOT%{_mandir}/man1
install man/man4/*.4 $RPM_BUILD_ROOT%{_mandir}/man4

gzip -9nf AUTHORS Changes README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man[14]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: txt2pdbdoc.spec,v $
Revision 1.19  2001/06/25 06:43:33  kloczek
- release 5.

Revision 1.18  2001/05/03 01:14:03  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.17  2000/06/09 07:24:01  kloczek
- added using %%{__make} macro.

Revision 1.16  2000/04/11 11:01:34  kloczek
- release 4,
- spec adapterized.

Revision 1.15  2000/04/01 11:15:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.14  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.13  1999/11/23 15:01:05  wiget
- changed Group

Revision 1.12  1999/07/12 23:06:15  kloczek

- added using CVS keywords in %changelog (for automating them).

* Tue May 11 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.2.1-2]
- rewrited to PLD coding style,
- now package is FHS 2.0 compliant.

* Tue Dec 15 1998 Avi Alkalay <avi@br.ibm.com>
- first release in rpm package.
